#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	x11perf
Version		:	1.6.1
Release		:	14.4.0.0%{?dist}
Summary		:	X11 server performance test program
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://cgit.freedesktop.org/xorg/app/x11perf

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	libpng
BuildRequires	:	mesa-devel
BuildRequires	:	xbitmaps
BuildRequires	:	xcb-util
#-----------------------------------------------------------------------------
%description
The x11perf program runs one or more performance tests and reports
how fast an X server can execute the tests.

Many graphics benchmarks assume that the graphics device is used
to display the output of a single fancy graphics application, and
that the user gets his work done on some other device, like a terminal.
Such benchmarks usually measure drawing speed for lines, polygons,
text, etc.

Since workstations are not used as standalone graphics engines, but
as super-terminals, x11perf measures window management performance
as well as traditional graphics performance. x11perf includes benchmarks
for the time it takes to create and map windows (as when you start
up an application); to map a pre-existing set of windows onto the screen
(as when you deiconify an application or pop up a menu); and to rearrange
windows (as when you slosh windows to and fro trying to find the one
you want). 

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./configure						\
	$XORG_CONFIG					\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	

%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_bindir}/%{name}
%{_bindir}/%{name}comp
%{_libdir}/X11/%{name}comp/*
%{_mandir}/man1/*.1.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
